<?php
require_once("DBManager.class.php");

class rsptaforo{
	private $idrspta;///
	private $idforo;///
	private $fechapub;	
	private $rspta;
	private $usuario;
	///////////////////////////////////////////
	public function Crear($vidf,$vf,$vres,$vu)
	{
		$resp=false;		
		$db= new DBManager();	
if($db->_execute("INSERT INTO rsptaforo(idrspta,idforo,fechapub,rspta,usuario) VALUES(null,".$vidf.",'".$vf."','".$vres."','".$vu."')"))   
		{
			$resp=true;
		}
		return $resp;		
	}
	
/////////////////////////////////	
	public function ListarPorForo($v)
	{
		$vector=null;		
		$db= new DBManager();	
		$rs=$db->execute("select idrspta,idforo,date_format(fechapub,'%d-%m-%Y') as fechapub,rspta,usuario from rsptaforo where(idforo =".$v.") order by idrspta desc");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$row=0;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) 
			{
   				$vector[$row]=array("idrspta"   => $rs->fields["idrspta"],
									"idforo"   => $rs->fields["idforo"],
									"fechapub" 	    => $rs->fields["fechapub"],
									"rspta"         => $rs->fields["rspta"],
									"usuario"         => $rs->fields["usuario"]);
									
                $row++;
				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
         	}			
        	return $vector;			
		}else return null;
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              						
	}
		
	public function BuscarPorCodigo($vcod)
	{		
		$resp=false;
		$num_rows=0;//numero de filas afectada por la consulta
		$db= new DBManager('root','');
		$rs=$db->execute("select idrspta,idforo,date_format(fechapub,'%d-%m-%Y') as fechapub,rspta,usuario from rsptaforo where(idrspta = ".$vcod.")");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$resp=true;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) {
                // Coleccion de campos accesible mediante arrays asociativos también
				      $this->idrspta=$rs->fields["idrspta"];
	                  $this->idforo=$rs->fields["idforo"];
				      $this->fechapub=$rs->fields["fechapub"];	
					  $this->rspta=$rs->fields["rspta"];		 
				     $this->usuario=$rs->fields["usuario"];					 
 				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
        	}			
		}
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              
		return $resp;							
	}
	
	public function BuscarPorForo($vcod)
	{		
		$resp=false;
		$num_rows=0;//numero de filas afectada por la consulta
		$db= new DBManager('root','');
		$rs=$db->execute("select idrspta,idforo,date_format(fechapub,'%d-%m-%Y') as fechapub,rspta,usuario from rsptaforo where(idforo = ".$vcod.")");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$resp=true;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) {
                // Coleccion de campos accesible mediante arrays asociativos también
				      $this->idrspta=$rs->fields["idrspta"];
	                  $this->idforo=$rs->fields["idforo"];
				      $this->fechapub=$rs->fields["fechapub"];	
					  $this->rspta=$rs->fields["rspta"];		 
				     $this->usuario=$rs->fields["usuario"];					 
 				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
        	}			
		}
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              
		return $resp;							
	}
		
	////////////////////////////////*/
	public function ListaTotal()
	{
		$vector=null;
		$db= new DBManager();	
		$rs=$db->execute("select idrspta,idforo,date_format(fechapub,'%d-%m-%Y') as fechapub,rspta,usuario from rsptaforo order by idrspta desc");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$row=0;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) {
                $vector[$row]=array("idrspta"   => $rs->fields["idrspta"],
									"idforo"   => $rs->fields["idforo"],
									"fechapub" 	    => $rs->fields["fechapub"],
									"rspta"         => $rs->fields["rspta"],
									"usuario"         => $rs->fields["usuario"]);
									
                $row++;
				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
        	}			
        	return $vector;			
		}else return null;
		
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              						
	}
	

	//////////////////////////////
	public function Eliminar($vcod)
	{
		$resp=false;		
		$db= new DBManager();	
		if($db->_execute("DELETE FROM rsptaforo WHERE (idrspta=".$vcod.");"))   
		{
			$resp=true;
		}
		return $resp;		
	}	
	
	public function EliminarPorForo($vcod)
	{
		$resp=false;		
		$db= new DBManager();	
		if($db->_execute("DELETE FROM rsptaforo WHERE (idforo=".$vcod.");"))   
		{
			$resp=true;
		}
		return $resp;		
	}
	////////////////////////////////////////							
	public function getIdrspta(){ return $this->idrspta;}
	public function getIdforo(){ return $this->idforo;}
	public function getFechapub(){ return $this->fechapub;}
	public function getRspta(){ return $this->rspta;}
	public function getUsuario(){ return $this->usuario;}
	
}
?>
